您尚未登录。

#1 2018-04-21 16:44:54

piter
SilverStar Club
所在地: 高处
注册时间: 2016-06-03
帖子: 407

今天运行 pacman -Syu,提示 scp and openssh are in conflict...

提示如下:

sudo pacman -Syu       
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace gnome-themes-standard with extra/gnome-themes-extra? [Y/n] y
:: Replace gnome-tweak-tool with extra/gnome-tweaks? [Y/n] y
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: scp and openssh are in conflict

我试了一下 pacman -Rs scp,提示删除确认;又试了下 pacman -Rs openssh,提示 error:target not found:openssh;
如果运行 pacman -S openssh,会提示 ::openssh and scp are in conflict.Remove scp?

很奇怪,openssh不存在,还会与 scp in conflict,不理解;
scp 我没印象装过,怎么能查 scp 的安装日期?
还有,我是不是删除 scp 再 -Syu,就可以了?


..

离线

#2 2018-04-21 18:22:48

Remilia
RemiliaForever
注册时间: 2016-03-14
帖子: 45
个人网站

Re: 今天运行 pacman -Syu,提示 scp and openssh are in conflict...

pacman -Qi 可以看安装日期,但是是最后一次更新的日期,第一次安装的日期需要去pacman.log里找。

冲突可能是某个软件包新依赖了openssh,但是系统已经安装了scp,更新系统就会产生冲突。

离线

#3 2018-04-21 20:51:10

piter
SilverStar Club
所在地: 高处
注册时间: 2016-06-03
帖子: 407

Re: 今天运行 pacman -Syu,提示 scp and openssh are in conflict...

明白了;
我先删除 scp 再升级。

离线

页脚